Subject: Re: bug#19883: Correction for backtrace

From: [email-masked] (Ludovic Courtès)
Date: Fri, 27 Feb 2015 10:55:04 +0100

David Kastrup <[email-masked]> skribis:

> Three years ago in August there was a meeting of developers at my house,
> a lot of information was passed around and in a concerted effort
> LilyPond-2.16.0 was released.
>
> Since then all developments would properly be labelled a one-person
> project or side-project.

OK.  I viewed LilyPond as a project with more people involved.

> Now if you take a look at GUILE 2.1 development, in particular all
> commits that are _not_ merges from the 2.0 branch, you'll find that
> quite more than 90% have come from the same person.
>
> LilyPond development is quite more diverse, but the various changes in
> the last years have invariably been one-person projects.
>
> Of the three large GUILE-based applications Gnucash, TeXmacs, and
> LilyPond, the only successful migration to GUILEv2 so far has been
> Gnucash, and its integration with GUILE is much smaller than that of
> LilyPond.
>
> The one-person projects concerning finding and/or fixing language and
> compiler problems or restructuring the related code areas have been
> exclusively mine.  That is not necessarily a good match since my
> productivity drops to near zero when I lose interest with a problem, and
> without anybody else keeping the ball rolling, it can easily stay there.

Sure.  There’s quite a number of names showing up in the lilypond-devel
archive though.  We need them to feel concerned about this.

Ludo’.